<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>

    <link href="../css/bootstrap-combined.no-icons.min.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/prism.css" rel="stylesheet" media="all"/>
    <link href="../css/template.css" rel="stylesheet" media="all"/>
    
    <!--[if lt IE 9]>
    <script src="../js/html5.js"></script>
    <![endif]-->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../js/ui/1.10.4/jquery-ui.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/jquery.smooth-scroll.js"></script>
    <script src="../js/prism.min.js"></script>
    <!-- TODO: Add http://jscrollpane.kelvinluck.com/ to style the scrollbars for browsers not using webkit-->
    <script type="text/javascript">
    function loadExternalCodeSnippets() {
        Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach(function (pre) {
            var src = pre.getAttribute('data-src');
            var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
            var language = 'php';

            var code = document.createElement('code');
            code.className = 'language-' + language;

            pre.textContent = '';

            code.textContent = 'Loading…';

            pre.appendChild(code);

            var xhr = new XMLHttpRequest();

            xhr.open('GET', src, true);

            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4) {

                    if (xhr.status < 400 && xhr.responseText) {
                        code.textContent = xhr.responseText;

                        Prism.highlightElement(code);
                    }
                    else if (xhr.status >= 400) {
                        code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                    }
                    else {
                        code.textContent = '✖ Error: File does not exist or is empty';
                    }
                }
            };

            xhr.send(null);
        });
    }

    $(document).ready(function(){
        loadExternalCodeSnippets();
    });
    $('#source-view').on('shown', function () {
        loadExternalCodeSnippets();
    })
</script>

    <link rel="shortcut icon" href="../images/favicon.ico"/>
    <link rel="apple-touch-icon" href="../images/apple-touch-icon.png"/>
    <link rel="apple-touch-icon" sizes="72x72" href="../images/apple-touch-icon-72x72.png"/>
    <link rel="apple-touch-icon" sizes="114x114" href="../images/apple-touch-icon-114x114.png"/>
</head>
<body>

<div class="navbar navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container">
            <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <i class="icon-ellipsis-vertical"></i>
            </a>
            <a class="brand" href="../index.html">API Documentation</a>

            <div class="nav-collapse">
                <ul class="nav pull-right">
                                        <li class="dropdown">
                        <a href="../index.html" class="dropdown-toggle" data-toggle="dropdown">
                            API Documentation <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                                                        <li><a href="../namespaces/warden.html">\warden</a></li>
                                                    </ul>
                    </li>
                                        <li class="dropdown" id="charts-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            Charts <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="../graphs/class.html">
                                    <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="dropdown" id="reports-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            Reports <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="../reports/errors.html">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <i class="icon-list-alt"></i>&#160;Errors <span class="label label-info pull-right">31</span>
                                </a>
                            </li>
                            <li>
                                <a href="../reports/markers.html">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <i class="icon-list-alt"></i>&#160;Markers <span class="label label-info pull-right">1</span>
                                </a>
                            </li>
                            <li>
                                <a href="../reports/deprecated.html">
                                                                                                            <i class="icon-list-alt"></i>&#160;Deprecated <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <!--<div class="go_to_top">-->
    <!--<a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>-->
    <!--</div>-->
</div>

<div id="___" class="container-fluid">
        <section class="row-fluid">
        <div class="span2 sidebar">
                                <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle " data-toggle="collapse" data-target="#namespace-1656949410"></a>
                                <a href="../namespaces/default.html" style="margin-left: 30px; padding-left: 0">\</a>
            </div>
            <div id="namespace-1656949410" class="accordion-body collapse in">
                <div class="accordion-inner">

                                                    <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-target="#namespace-251968673"></a>
                                <a href="../namespaces/warden.html" style="margin-left: 30px; padding-left: 0">warden</a>
            </div>
            <div id="namespace-251968673" class="accordion-body collapse ">
                <div class="accordion-inner">

                                                    <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-target="#namespace-1979767359"></a>
                                <a href="../namespaces/warden.src.html" style="margin-left: 30px; padding-left: 0">src</a>
            </div>
            <div id="namespace-1979767359" class="accordion-body collapse ">
                <div class="accordion-inner">

                    
                    <ul>
                                                    <li class="interface"><a href="../classes/warden.src.DAO.html">DAO</a></li>
                                                                                                    <li class="class"><a href="../classes/warden.src.DAOFactory.html">DAOFactory</a></li>
                                                    <li class="class"><a href="../classes/warden.src.IdeaCategory.html">IdeaCategory</a></li>
                                                    <li class="class"><a href="../classes/warden.src.MysqlDAO.html">MysqlDAO</a></li>
                                                    <li class="class"><a href="../classes/warden.src.PDOMysql.html">PDOMysql</a></li>
                                                    <li class="class"><a href="../classes/warden.src.Pool.html">Pool</a></li>
                                                    <li class="class"><a href="../classes/warden.src.Warden.html">Warden</a></li>
                                                    <li class="class"><a href="../classes/warden.src.WardenFileSystem.html">WardenFileSystem</a></li>
                                                    <li class="class"><a href="../classes/warden.src.WardenManager.html">WardenManager</a></li>
                                            </ul>
                </div>
            </div>
        </div>
    </div>

                    
                    <ul>
                                                                                            </ul>
                </div>
            </div>
        </div>
    </div>

                    
                    <ul>
                                                                                            </ul>
                </div>
            </div>
        </div>
    </div>

        </div>
    </section>
    <section class="row-fluid">
        <div class="span10 offset2">
            <div class="row-fluid">
                <div class="span8 content class">
                    <nav>
                                                <a href="../namespaces/warden.src.html">\warden\src</a> <i class="icon-level-up"></i>
                                            </nav>
                    <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal"><i class="icon-code"></i></a>

                    <h1><small>\warden\src</small>MysqlDAO</h1>
                    <p><em></em></p>
                    
                    
                                        
                    <section id="summary">
                        <h2>Summary</h2>
                        <section class="row-fluid heading">
                            <section class="span4">
                                <a href="#methods">Methods</a>
                            </section>
                            <section class="span4">
                                <a href="#properties">Properties</a>
                            </section>
                            <section class="span4">
                                <a href="#constants">Constants</a>
                            </section>
                        </section>
                        <section class="row-fluid public">
                            <section class="span4">
                                                                    <a href="../classes/warden.src.MysqlDAO.html#method___construct" class="">__construct()</a><br />
                                                                    <a href="../classes/warden.src.MysqlDAO.html#method_findByUniqueWardens" class="">findByUniqueWardens()</a><br />
                                                                    <a href="../classes/warden.src.MysqlDAO.html#method_findByDetectTime" class="">findByDetectTime()</a><br />
                                                                    <a href="../classes/warden.src.MysqlDAO.html#method_getWardensFromPDO" class="">getWardensFromPDO()</a><br />
                                                                    <a href="../classes/warden.src.MysqlDAO.html#method_isConnected" class="">isConnected()</a><br />
                                                            </section>
                            <section class="span4">
                                                                    <em>No public properties found</em>
                                                            </section>
                            <section class="span4">
                                                                    <em>No constants found</em>
                                                            </section>
                        </section>
                        <section class="row-fluid protected">
                            <section class="span4">
                                                                    <em>No protected methods found</em>
                                                            </section>
                            <section class="span4">
                                                                    <em>No protected properties found</em>
                                                            </section>
                            <section class="span4">
                                <em>N/A</em>
                            </section>
                        </section>
                        <section class="row-fluid private">
                            <section class="span4">
                                                                    <a href="../classes/warden.src.MysqlDAO.html#method_getBaseSQLStatement" class="">getBaseSQLStatement()</a><br />
                                                            </section>
                            <section class="span4">
                                                                    <a href="../classes/warden.src.MysqlDAO.html#property_pdo" class="">$pdo</a><br />
                                                                    <a href="../classes/warden.src.MysqlDAO.html#property_table" class="">$table</a><br />
                                                                    <a href="../classes/warden.src.MysqlDAO.html#property_map" class="">$map</a><br />
                                                            </section>
                            <section class="span4">
                                <em>N/A</em>
                            </section>
                        </section>
                    </section>
                </div>
                <aside class="span4 detailsbar">
                                        
                    
                    <dl>
                        <dt>File</dt>
                            <dd><a href="../files/MysqlDAO.html"><div class="path-wrapper">MysqlDAO.php</div></a></dd>
                                                <dt>Package</dt>
                            <dd><div class="namespace-wrapper">Default</div></dd>
                                                <dt>Class hierarchy</dt>
                            <dd class="hierarchy">
                                                                                                                                                                    <div class="namespace-wrapper">\warden\src\MysqlDAO</div>
                            </dd>

                                                                            <dt>Implements</dt>
                                                        <dd><a href="../classes/warden.src.DAO.html"><div class="namespace-wrapper">\warden\src\DAO</div></a></dd>
                        
                        
                        
                        
                                                                        </dl>
                    <h2>Tags</h2>
                    <table class="table table-condensed">
                                            <tr><td colspan="2"><em>None found</em></td></tr>
                                        </table>
                </aside>
            </div>

                        
                                    <a id="properties" name="properties"></a>
            <div class="row-fluid">
                <div class="span8 content class">
                    <h2>Properties</h2>
                </div>
                <aside class="span4 detailsbar"></aside>
            </div>

                                                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property_pdo" name="property_pdo" class="anchor"></a>
            <article class="property">
                <h3 class="private ">$pdo</h3>
                <pre class="signature">$pdo : \PDO</pre>
                <p><em></em></p>
                

                                <h4>Type</h4>
                \PDO
                &mdash; The PDO object connection                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property_table" name="property_table" class="anchor"></a>
            <article class="property">
                <h3 class="private ">$table</h3>
                <pre class="signature">$table : string</pre>
                <p><em></em></p>
                

                                <h4>Type</h4>
                string
                &mdash; The table name                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="property_map" name="property_map" class="anchor"></a>
            <article class="property">
                <h3 class="private ">$map</h3>
                <pre class="signature">$map : array</pre>
                <p><em></em></p>
                

                                <h4>Type</h4>
                array
                &mdash; A map from table field to Warden class attribute                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                            
                                    <a id="methods" name="methods"></a>
            <div class="row-fluid">
                <div class="span8 content class"><h2>Methods</h2></div>
                <aside class="span4 detailsbar"></aside>
            </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method___construct" name="method___construct" class="anchor"></a>
            <article class="method">
                <h3 class="public ">__construct()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">__construct(string  <span class="argument">$database</span>, string  <span class="argument">$table</span>, array  <span class="argument">$map</span>) </pre>
                <p><em>Create a Mysql Connection</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$database </td>
                                <td><p>The database name</p></td>
                            </tr>
                                                    <tr>
                                <td>string</td>
                                <td>$table </td>
                                <td><p>The table name</p></td>
                            </tr>
                                                    <tr>
                                <td>array</td>
                                <td>$map </td>
                                <td><p>Map table fields to Warden class attributes, eg:
[ // Table_field     =&gt; WardenClassAttribute
'mail_id'       =&gt;  'id',
'file_name'     =&gt;  'name',
'md5'           =&gt;  'hash',
'date_modified' =&gt;  'detectTime'
]</p></td>
                            </tr>
                                            </table>
                
                
                				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_findByUniqueWardens" name="method_findByUniqueWardens" class="anchor"></a>
            <article class="method">
                <h3 class="public ">findByUniqueWardens()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">findByUniqueWardens(array  <span class="argument">$wardensIds</span>) : array</pre>
                <p><em>Retrieve unique Idea&#039;s from &#039;av_signatures&#039; database table &#039;custom_signatures&#039;
that were not already exported before</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>array</td>
                                <td>$wardensIds </td>
                                <td><p>Array of ID's already exported</p></td>
                            </tr>
                                            </table>
                
                                    <h4>Throws</h4>
                    <dl>
                                                    <dt>\Exception</dt>
                            <dd></dd>
                                                                    </dl>
                
                                    <h4>Returns</h4>
                    array
                                            &mdash; <p>An array of Warden unique objects</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_findByDetectTime" name="method_findByDetectTime" class="anchor"></a>
            <article class="method">
                <h3 class="public ">findByDetectTime()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">findByDetectTime(string  <span class="argument">$time</span>) : array</pre>
                <p><em>Retrieve new Wardens since last execution specified by $time parameter, eg:
                 00:30:00 (Wardens whom &#039;date_modified&#039; table field were
                           updated 30 minutes ago will be retrieved)</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>string</td>
                                <td>$time </td>
                                <td><p>The time since last execution, use format: hh:mm:ss</p></td>
                            </tr>
                                            </table>
                
                                    <h4>Throws</h4>
                    <dl>
                                                    <dt>\Exception</dt>
                            <dd></dd>
                                                                    </dl>
                
                                    <h4>Returns</h4>
                    array
                                            &mdash; <p>An array of Warden unique objects</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getWardensFromPDO" name="method_getWardensFromPDO" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getWardensFromPDO()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getWardensFromPDO(  <span class="argument">$sqlStatement</span>, array  <span class="argument">$params = array(&#039;&#039;)</span>) : array</pre>
                <p><em>Query the database and return Warden objects from it</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td></td>
                                <td>$sqlStatement </td>
                                <td><p>The SQL statement to be executed</p></td>
                            </tr>
                                                    <tr>
                                <td>array</td>
                                <td>$params </td>
                                <td><p>The SQL param for the statement</p></td>
                            </tr>
                                            </table>
                
                
                                    <h4>Returns</h4>
                    array
                                            &mdash; <p>Array of Warden objects</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_isConnected" name="method_isConnected" class="anchor"></a>
            <article class="method">
                <h3 class="public ">isConnected()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">isConnected() : boolean</pre>
                <p><em>It might garantee that the connection is ok</em></p>
                

                
                
                                    <h4>Returns</h4>
                    boolean
                                            &mdash; <p>The connection status</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getBaseSQLStatement" name="method_getBaseSQLStatement" class="anchor"></a>
            <article class="method">
                <h3 class="private ">getBaseSQLStatement()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getBaseSQLStatement() : \warden\src\The</pre>
                <p><em></em></p>
                

                
                
                                    <h4>Returns</h4>
                    \warden\src\The
                                            &mdash; <p>initial base SQL</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    </div>
    </section>

    <div id="source-view" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="source-view-label" aria-hidden="true">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            <h3 id="source-view-label">MysqlDAO.php</h3>
        </div>
        <div class="modal-body">
            <pre data-src="../files/MysqlDAO.php.txt" class="language-php line-numbers"></pre>
        </div>
    </div>

    <footer class="row-fluid">
        <section class="span10 offset2">
            <section class="row-fluid">
                <section class="span10 offset1">
                    <section class="row-fluid footer-sections">
                        <section class="span4">
                                                        <h1><i class="icon-code"></i></h1>
                            <div>
                                <ul>
                                                                            <li><a href="../namespaces/warden.html">\warden</a></li>
                                                                    </ul>
                            </div>
                        </section>
                        <section class="span4">
                                                        <h1><i class="icon-bar-chart"></i></h1>
                            <div>
                                <ul>
                                    <li><a href="../graphs/class.html">Class Hierarchy Diagram</a></li>
                                </ul>
                            </div>
                        </section>
                        <section class="span4">
                                                        <h1><i class="icon-pushpin"></i></h1>
                            <div>
                                <ul>
                                    <li><a href="../reports/errors.html">Errors</a></li>
                                    <li><a href="../reports/markers.html">Markers</a></li>
                                </ul>
                            </div>
                        </section>
                    </section>
                </section>
            </section>
            <section class="row-fluid">
                <section class="span10 offset1">
                    <hr />
                    Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor </a> and authored
                    on June 13th, 2017 at 09:11.
                </section>
            </section>
        </section>
    </footer>
</div>

</body>
</html>
